Subject: RE: [Diffserv] MIB-07: Counters in classifiers

From: "Weiss, Walter" <[email-masked]>
Date: Wed, 14 Feb 2001 10:34:00 -0500

I did see Fred's arguement against optional. In fact, both Andrew's and my
concerns were expressed as responses to that message. If there was an
agreement amoung the authors after that, it was certainly not something I
was aware of. My impression was that both Andrew (from his emails on the
list) and Kwok (from a private exchange yesterday) were both in favor of
making it either optional or not having them at all.

regards,

-Walter

> -----Original Message-----
> From: Brian E Carpenter [mailto:[email-masked]]
> Sent: Tuesday, February 13, 2001 10:53 PM
> To: Weiss, Walter
> Cc: [email-masked]
> Subject: Re: [Diffserv] MIB-07: Counters in classifiers
> 
> 
> Walter,
> 
> I think you missed Fred's eloquent argument that optional counters
> are an implementation nightmare; they need to be in or out. Fred was
> in another room when this was discussed in SD. Andrew may or may not
> dissent still, but the 2:1 majority view among the authors 
> seemed to be to
> include the counters. 
> 
> I note that if you don't want to implement the counters they 
> will simply
> fail to count even if defined in the MIB.
> 
>   Brian
> 
> > "Weiss, Walter" wrote:
> > 
> > I am confused as to why counters are back in the 
> classifiers. Here is my recollection of events. At the 
> meeting in San Diego
> > the consensus was for making the counters optional. After 
> the meeting, Fred argued on the list for making them required. Both
> > Andrew and I objected on seperate grounds. Andrew argued 
> that diagnostic functionality should not be mandated by the MIB. I
> > argued that we don't have diagnostic experience across 
> other elements and that if we want to address diagnostics, it 
> should be
> > more general to encompass the other elements like meters, 
> schedulers, and droppers. There may have been others opposed as
> > well, but there was certainly not a consensus for anything 
> more than an optional attribute on the list.
> > 
> > regards,
> > 
> > -Walter
>

---

From: Fred Baker <[email-masked]>
Date: Wed, 14 Feb 2001 12:24:45 -0800

>making it either optional or not having them at all.

Well, then there was some kind of misunderstanding. Kwok and I, in editing, 
understood that they were to be added, and we added them directly and 
non-optionally. If they were to be pulled, I'll happily pull them. Sounds 
like I should.

Just to be clear, the ones we are talking about are diffServClfrElementPkts 
and diffServClfrElementHCPkts, right? Consider them history.

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html

---

From: Andrew Smith <[email-masked]>
Date: Fri, 16 Feb 2001 18:25:10 -0800

Last I heard classifier-counters were out:
On 12/19/00, Brian wrote:
 > Since then Fred has argued against using pointers, and
 > we certainly don't have consensus on compulsory counters,
 > or on optional coounters. I feel that the only reasonable
 > resolution at this point is to leave it out for future (or
 > proprietary) extension.
 >
 >  Brian

This resolution was supported by Steve Blake, Walter Weiss and, indeed, by Fred 
himself, in subsequent messages, all on 12/19/00. I haven't searched the January 
2001 archive but I don't recall further discussion on this point. So I'm as 
surprised as Walter is to see the counters still in the MIB.

Andrew

Fred Baker wrote:

>> I did see Fred's arguement against optional. In fact, both Andrew's 
>> and my concerns were expressed as responses to that message. If there 
>> was an agreement amoung the authors after that, it was certainly not 
>> something I was aware of. My impression was that both Andrew (from his 
>> emails on the list) and Kwok (from a private exchange yesterday) were 
>> both in favor of making it either optional or not having them at all.
> 
> 
> Well, then there was some kind of misunderstanding. Kwok and I, in 
> editing, understood that they were to be added, and we added them 
> directly and non-optionally. If they were to be pulled, I'll happily 
> pull them. Sounds like I should.
> 
> Just to be clear, the ones we are talking about are 
> diffServClfrElementPkts and diffServClfrElementHCPkts, right? Consider 
> them history.

---

From: Juha Heinanen <[email-masked]>
Date: Sat, 17 Feb 2001 10:00:22 +0200 (EET)

Andrew Smith writes:

 > This resolution was supported by Steve Blake, Walter Weiss and,
 > indeed, by Fred himself, in subsequent messages, all on 12/19/00. I
 > haven't searched the January 2001 archive but I don't recall further
 > discussion on this point. So I'm as surprised as Walter is to see the
 > counters still in the MIB.

may be you are talking about some special counters, but there are some
basic counters without which any diffserv box is useless.  for example,
i need to know

- at logical PE ingress interface, for each traffic class, how many
packets/bytes a policer passed, dropped or marked to each color

- at physical trunk egress interface, for each traffic class (= queue),
how many packets/bytes were dropped (due to queue space getting short)
at each level of drop precedence

- at physical trunk egress and logical PE egress interface, for each
traffic class, how many packets/bytes were forwarded at each level of
drop precedence

without this kind of basic stuff, there is no way for me to know what is
going on in my network and thus it is impossible for me to provision the
network so that i could meet the given service commitments.

note that the above counters are generic and have nothing to do with the
kind of policers, dropping algorithms, schedulers, shapers, etc. the
boxes are using.

it is of great value to network operators if all the boxes in the
network can be polled for statistics and alarms using the same mib
objects.  this is how it used to be before diffserv, since everyone
implemented the counters in the interface mib.  configuring the network
boxes using the same set of objects is (at least to me) of lesser
concern.

may be the above counters already exist in the diffserv mib.  if not,
either they must be included or a diffserv extension of the interface
mib should be created that contains them. since the current version of
the diffserv mib is so complicated, it might in fact be a better idea to
put the counters in a separate mib.

-- juha

---

From: Andrew Smith <[email-masked]>
Date: Sat, 17 Feb 2001 13:02:18 -0800

juha,

i think you're missing some context here - this discussion is about only about 
per-classifier-element counters that appeared, briefly, in the -07 draft and are 
now gone in the current -08 draft.

please look at 
http://www.ietf.org/internet-drafts/draft-ietf-diffserv-mib-08.txt and tell us 
if the counters there are sufficient for your needs.

andrew